#
# spec file for package libticonv (Version 1.1.0)
#

# norootforbuild

Name:           libticonv
BuildRequires:  glib2-devel
Version:        1.1.3
Release:        %mkrel 1
Url:            http://ticalc.org
Summary:        A library for handling Ti charset conversions
License:        GPL
Group:          Development/Libraries/C and C++
Source:         %{name}-%{version}.tar.xz
#Patch0:         libticonv-dont_use_reserved.patch
#Patch1:         libtifiles-autoconf.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
The ticonv library is a library capable of conversions between TI
charsets and UTF-8 / UTF-16 charsets but uses UTF-16 natively.

The library supports all the currently available calculators:
- TI8x calculators: TI73, 82, 83, TI83+, 85 and 86,
- TI9x calculators: TI89, 92, 92+ and V200PLT,
- built-in USB calculators: TI84+ and Titanium.

%package -n     libticonv3
License:        GPL
Summary:        Ticonv runtime library
Group:          System/libraries

%description -n libticonv3
This package contains the TiConv runtime library.



%package        devel
License:        GPL
Summary:        Development files for libticonv
Group:          Development/Libraries/C and C++
Requires:       libticonv3 = %{version}

%description    devel
This package contains the header files and libraries needed to develop
programs that use the ticonv library.



%prep
%setup -q
#mkdir -p m4
#patch0
#patch1

%build
autoreconf -fi
export CFLAGS="%{optflags}"
%configure
make %{?jobs:-j%jobs}

%install
%makeinstall
rm -f %{buildroot}%{_libdir}/libticonv.la

%clean
rm -rf %{buildroot}

%post -n libticonv3 -p /sbin/ldconfig

%postun -n libticonv3 -p /sbin/ldconfig

%files -n libticonv3
%defattr(-,root,root)
%{_libdir}/libticonv.so.*

%files devel
%defattr(-,root,root)
%{_includedir}/tilp2
%{_libdir}/libticonv.so
%{_libdir}/pkgconfig/ticonv.pc


%changelog
* Wed Sep 05 2012 Neal <nealbrks0 at gmail dot com> 1.1.3-1pclos2012
- process

* Tue Sep 04 2012 gseaman <galen.seaman at comcast.net> 1.1.3-1pclos2012
- build for PCLinuxOS

* Tue Jan 13 2009 pth@suse.de
- Initial package
- Rename LT_ macros as these are reserved for libtool
